﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;


namespace WpfApplication341
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private string displayRecs(IEnumerable<DataRecord> drs, string mess)
        {
            string s = mess;
            foreach (DataRecord dr in drs)
            {
                s += dr.Cells[0].ToString();
            }
            return s;
        }

        private void btnsort_Click(object sender, RoutedEventArgs e)
        {
            if (xamDataGrid1.SelectedItems.Records.Count > 0)
            {
              int howmany = xamDataGrid1.SelectedItems.Records.Count;
              DataRecord[] irecs = new DataRecord[howmany];
                xamDataGrid1.SelectedItems.Records.CopyTo(irecs,0);
               string s =  displayRecs(irecs, "pre");
               MessageBox.Show(s);
              IEnumerable<DataRecord>  xirecs  = sortRecs();
              s = displayRecs(xirecs, "Post");
              MessageBox.Show(s);


            }
            
        }

        private IEnumerable<DataRecord> sortRecs()
        {
             int howmany = xamDataGrid1.SelectedItems.Records.Count;
            DataRecord[] irecs = new DataRecord[howmany];
            DataRecord[] sortedrecs = new DataRecord[howmany]; 

            xamDataGrid1.SelectedItems.Records.CopyTo(irecs, 0);
            return irecs.OrderBy(dr => dr.Index);
        }
    }
}
