﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfApplication255.ViewModel
{
   public  class Person:INotifyPropertyChanged
    {
       string name = string.Empty;
       public string Name
       {
           get { return name; }
           set { name = value;
           NotifyPropertyChanged("Name");
           }
       }

       string address = string.Empty;
       public string Address
       {
           get { return address; }
           set
           {
               address = value;
               NotifyPropertyChanged("Address");
           }
       }

       int age = 18;
       public int Age
       {
           get { return age; }
           set
           {
               age = value;
               NotifyPropertyChanged("Age");
           }
       }

       bool havechildren = true;

       public bool Havechildren
       {
           get { return havechildren; }
           set { havechildren = value; }
       }


       ObservableCollection<Car> cars = new ObservableCollection<Car>();
       public ObservableCollection<Car> Cars
       {
           get { return cars; }
           set { cars = value; }
       }


       private void NotifyPropertyChanged(String info)
       {
           if (PropertyChanged != null)
           {
               PropertyChanged(this, new PropertyChangedEventArgs(info));
           }
       }
       

       public event PropertyChangedEventHandler PropertyChanged;
    }
}
